Classes | Public Member Functions | Public Attributes | List of all members
MsWksTableInternal::Table Struct Reference

Internal: the table of a MsWksTable. More...

## Classes
struct | Cell
| the cell content More...

## Public Member Functions
| Table (MsWksGraph::Style const &style)
| constructor More...
| Table ()
| empty constructor More...
Cell const * | getCell (MWAWVec2i const &pos) const
| try to find a cell More...

## Public Attributes
MWAWGraphicStyle | m_style
| the graphic style More...
int | m_numRows
| the number of rows More...
int | m_numCols
| the number of columns More...
std::vector< int > | m_rowsDim
| the rows dimensions More...
std::vector< int > | m_colsDim
MWAWFont | m_font
| the default font More...
std::vector< Cell > | m_cellsList
| the list of cell More...

## Detailed Description

Internal: the table of a MsWksTable.

## Constructor & Destructor Documentation

## ◆ Table() [1/2]

MsWksTableInternal::Table::Table | ( | MsWksGraph::Style const & | style | ) |
| inline explicit

constructor

## ◆ Table() [2/2]

MsWksTableInternal::Table::Table | ( |  | ) |
| inline

empty constructor

## Member Function Documentation

## ◆ getCell()

Cell const* MsWksTableInternal::Table::getCell | ( | MWAWVec2i const & | pos | ) | const
| inline

try to find a cell

## Member Data Documentation

## ◆ m_cellsList

std::vector<Cell> MsWksTableInternal::Table::m_cellsList

the list of cell

Referenced by MsWksTable::readTable().

## ◆ m_colsDim

std::vector<int> MsWksTableInternal::Table::m_colsDim

Referenced by MsWksTable::readTable().

## ◆ m_font

MWAWFont MsWksTableInternal::Table::m_font

the default font

## ◆ m_numCols

int MsWksTableInternal::Table::m_numCols

the number of columns

Referenced by MsWksTable::readTable().

## ◆ m_numRows

int MsWksTableInternal::Table::m_numRows

the number of rows

Referenced by MsWksTable::readTable().

## ◆ m_rowsDim

std::vector<int> MsWksTableInternal::Table::m_rowsDim

the rows dimensions

Referenced by MsWksTable::readTable().

## ◆ m_style

MWAWGraphicStyle MsWksTableInternal::Table::m_style

the graphic style

The documentation for this struct was generated from the following file:

- MsWksTable.cxx